Ramana Posted March 1, 2012 Posted March 1, 2012 Dear Friends, Greetings I am trying to draw a rectangle on a 3d solid face, i am able to make my ucs to that face. But when i giving first corner & the opposite corner, the rectangle is aligning to the our view not to the ucs. Once i pick the point in that condition, it is drawing as required to the face. How to view the opposite corner to the ucs. Please help me in this regard. thanks in advance Ramana Quote
David Bethel Posted March 2, 2012 Posted March 2, 2012 Can you post a sample? A '3D solid face' is a bit of oxymoron. -David Quote
Ramana Posted March 2, 2012 Author Posted March 2, 2012 Dear David, thanks for your reply, Please find the two images and the code which i developed to do a boolean operation in a solid. (DEFUN C:window() (SETQ FACE(GETPOINT "PICK A POINT ON THE FACE")) (COMMAND "ucs" "F" FACE "") (SETQ W(ENTLAST)) (SETQ P1(GETPOINT "START PT OF WINDOW") P2(GETCORNER P1 "OPP OF WINDOW")) (TRANS P2 1 1) (COMMAND "RECTANG" P1 P2) (SETQ W1(ENTLAST)) (COMMAND "EXTRUDE" W1 "" -200) (SETQ W2(ENTLAST)) (COMMAND "SUBTRACT" W "" W2 "") (princ) );defun Quote
Tharwat Posted March 2, 2012 Posted March 2, 2012 the ucs command with the option face must select an object and not by specifying a point .. e.g. (if (setq obj (car (entsel "\n Select object :"))) (command "_.ucs" "_face" obj "") ) Quote
Ramana Posted March 4, 2012 Author Posted March 4, 2012 Dear Mr.Tharwat, Thanks for your reply, My program is working fine, but while specifing first corner and opposite corner of rectangle, that rectangle is showing alinging to the ucs. once i pick the opposite corner, then it is drawing rectangle with proper dimensions and 3D boolean is happening. My query is while picking first corner and opposite corner of rectangle, those points should align to the ucs for the better understanding of the customization. Ramana Quote
Tharwat Posted March 4, 2012 Posted March 4, 2012 So if I understood you well , replace this line of code with the one you have in yours . (COMMAND "_.RECTANG" "_non" P1 "_non" P2) Quote
Recommended Posts
Join the conversation
You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.